<?PHP
// ==============================================
// Script zum Einfgen der Losungen fr Gehrlose
// ==============================================


// Einstellungen:
// ==============

// Bibeltext fett ausgeben: (1 = fett    0 = nicht fett)
$LphpglBibeltextFett = 1;

// Stellenangabe als Link zur Internetbibel: (1 = Link    0 = kein Link)
$LphpglBibelLink = 0;

// Kommentar kursiv: (1 = kursiv    0 = nicht kursiv)
$LphpglKommentarKursiv = 0;

// Zwischenlinie: ("xxx" = Zeichen fr die Zwischenlinie  "" = keine Zwischenlinie)
$LphpglZwischenlinie = "";

// Beispiele:
// "" = keine Zwischenlinie
// "" = Zwischenlinie mit dem Zeichen 151 (breiter mit mehr Zeichen)
// "*  *  *" = Zwischenlinie mit dem Zeichen *

// berschrift einfgen: ("" = keine berschrift)
$LphpglTitelText = "Losung und Lehrtext fr";

// Datumsangabe allein oder hinter berschrift:
$LphpglTitelDatum = 2;

// mgliche Werte: (Beispiel 04.02.2008)
// 0 = (keine Datumsangabe)
// 1 = "04.02.2008"
// 2 = "Montag, 4. Februar 2008"
// 3 = "4. Februar 2008"

// Doppelpunkt hinter berschrift / Datum (1 = Doppelpunkt    0 = keiner)
$LphpglTitelDoppelpunkt = 1;


// =================================================================
// Den nachfolgenden Code bitte nur ndern, wenn Sie sich auskennen!
// =================================================================

// Datendatei zum aktuellen Jahr ermitteln: 
$LphpglDatei = "losungphpgl" . date("Y") . ".dat";

// Die Daten aus der Datendatei einlesen:
$LphpglFp = @fopen($LphpglDatei,"rb");
if ($LphpglFp){
	$LphpglTagID = date("z") +1;
	fseek ($LphpglFp, ($LphpglTagID * 12) - 12);
	$LphpglPoLa = fread($LphpglFp, 12);
	$LphpglPo = intval(substr($LphpglPoLa, 0, 6)) -1;
	$LphpglLa = intval(substr($LphpglPoLa, 6, 6));
	fseek ($LphpglFp, $LphpglPo);
	$LphpglText = fread($LphpglFp, $LphpglLa);
	if (strpos($LphpglText,"") !==false) {
		$Lphpgl = explode("", $LphpglText);
	} else if(strpos($LphpglText,"|") !==false) {
		$Lphpgl = explode("|", $LphpglText);
	} else {
		$LphpglText = str_replace("?", "@", $LphpglText);
		$pos = strpos($LphpglText, "http://") -1;
		$z = substr($LphpglText, $pos, 1);
		$LphpglText = str_replace($z, "|", $LphpglText);
		$LphpglText = str_replace("@", "?", $LphpglText);
		$Lphpgl = explode("|", $LphpglText);
	}
	fclose($LphpglFp);
}

// Variablen fr die Datumsangabe in der berschrift
// Wochentagsname: (z.B.: "Montag")
$LphpglWT = array("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag");
$LphpglWochentagName = $LphpglWT[date("w")];

// Monatsname: (z.B.: "Februar")
$LphpglM = array("", "Januar", "Februar", "M&auml;rz", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember");
$LphpglMonatName = $LphpglM[date("n")];

// Tag als Zahl: (z.B.: kurz = "4" / lang = "04")
$LphpglTagKurz = date("j");
$LphpglTagLang = date("d");

// Monat als Zahl: (z.B.: kurz = "2" / lang = "02")
$LphpglMonatKurz = date("n");
$LphpglMonatLang = date("m");

// Jahr als Zahl: (z.B.: kurz = "08" / lang = "2008")
$LphpglJahrKurz = date("y");
$LphpglJahrLang = date("Y");

// Bibeltext ggf. Fett:
if($LphpglBibeltextFett==1){
	$Lphpgl[0] = "<b>" . $Lphpgl[0] . "</b>";
	$Lphpgl[4] = "<b>" . $Lphpgl[4] . "</b>";
}

// Stellenangabe ggf. als Link zur Internetbibel
if($LphpglBibelLink==1){
	$Lphpgl[1] = "<a title='Zum Bibeltext' href='" . $Lphpgl[2] . "' target='_blank'>" . $Lphpgl[1] . "</a>";
	$Lphpgl[5] = "<a title='Zum Bibeltext' href='" . $Lphpgl[6] . "' target='_blank'>" . $Lphpgl[5] . "</a>";
}

// Kommentar ggf. Kursiv:
if($LphpglKommentarKursiv==1){
	$Lphpgl[3] = "<i>" . $Lphpgl[3] . "</i>";
	$Lphpgl[7] = "<i>" . $Lphpgl[7] . "</i>";
}

// ggf. Zwischenlinie:
if($LphpglZwischenlinie != ""){
	$LphpglLinie = htmlentities(trim($LphpglZwischenlinie));
	$LphpglLinie = "<div align='center'><p>" . $LphpglLinie . "</p></div>";
}else{
	$LphpglLinie = "<br><br><br>";
}

// Umlaute in der berschrift ersetzen:
$LphpglTitel = "";
$LphpglTitelText = str_replace("", "&auml;", $LphpglTitelText);
$LphpglTitelText = str_replace("", "&ouml;", $LphpglTitelText);
$LphpglTitelText = str_replace("", "&uuml;", $LphpglTitelText);
$LphpglTitelText = str_replace("", "&szlig;", $LphpglTitelText);
$LphpglTitelText = str_replace("", "&Auml;", $LphpglTitelText);
$LphpglTitelText = str_replace("", "&Ouml;", $LphpglTitelText);
$LphpglTitelText = str_replace("", "&Uuml;", $LphpglTitelText);
$LphpglTitel = $LphpglTitelText;

// Datum zusammenstellen:
$LphpglDatum = "";
if($LphpglTitelDatum <1 or $LphpglTitelDatum >3){
	$LphpglDatum = "";
}elseif($LphpglTitelDatum==1){
	$LphpglDatum = $LphpglTagLang . "." . $LphpglMonatLang . "." . $LphpglJahrLang;
}elseif($LphpglTitelDatum==2){
	$LphpglDatum = $LphpglWochentagName  . ", " . $LphpglTagKurz . ". " . $LphpglMonatName . " " . $LphpglJahrLang;
}elseif($LphpglTitelDatum==3){
	$LphpglDatum = $LphpglTagKurz . ". " . $LphpglMonatName . " " . $LphpglJahrLang;
}

if($LphpglTitel != "" and $LphpglDatum != ""){$LphpglTitel = $LphpglTitel . " ";}
$LphpglTitel = $LphpglTitel . $LphpglDatum;
if($LphpglTitel != "" and $LphpglTitelDoppelpunkt==1){$LphpglTitel=$LphpglTitel . ":";}

// Titel ausgeben:
if($LphpglTitel != ""){echo $LphpglTitel . "<br><br>";}

// Losung ausgeben:
echo $Lphpgl[0] . "<br>"; 
echo $Lphpgl[1] . "<br><br>";
echo $Lphpgl[3];

// Zwischenlinie bzw. Abstand zwischen Losung und Lehrtext:
echo $LphpglLinie;

// Lehrtext ausgeben:
echo $Lphpgl[4] . "<br>";
echo $Lphpgl[5] . "<br><br>";
echo $Lphpgl[7];

?>
